# Deep research for entity by name (async)

`GET /v2/entity-resolution/async`

> Tag: Entity resolution

Submit an async deep research request (3-5 minutes). Returns immediately with request_id. Poll `/v2/entity-resolution/status/{request_id}` for results.

Try Instant Search first for faster results (<1 second).

## Request

### Query parameters

- `name` (string, required) — Name of the entity to resolve
- `location` (string) — Optional location of the entity

### Example request

```bash
curl --request GET \
  --url 'https://api.savvyiq.ai/v2/entity-resolution/async?name=value' \
  --header 'apikey: YOUR_API_KEY'
```

## Responses

### 200 — Successful response

- `request_id` (string, required)
- `status` (string (enum), required)

```json
{
  "request_id": "reqa_2ZUKmavJxCx4GHMnpJsc9",
  "status": "PENDING"
}
```

### 400 — Bad Request

- `error` (object) — An error object.
  - `message` (string) — The error message
  - `type` (string) — The error code

```json
{
  "error": {
    "message": "Bad request",
    "type": "bad_request"
  }
}
```

### 401 — Unauthorized

- `message` (string) — The error object.
- `request_id` (string) — The request ID for the error.

```json
{
  "message": "No API key found in request",
  "request_id": "d6ed1709fa87777bb373fd60a810e717"
}
```

### 500 — Internal Server Error

- `error` (object) — An error object.
  - `message` (string) — The error message
  - `type` (string) — The error code

```json
{
  "error": {
    "message": "An unexpected error occurred.",
    "type": "api_error"
  }
}
```

### 502 — Request timeout

- `error` (object) — An error object.
  - `message` (string) — The error message
  - `type` (string) — The error code

```json
{
  "error": {
    "message": "Request timeout",
    "type": "timeout"
  }
}
```
